Skip to main content
`Ctrl`+`K`

# TSForwardCostIntegral

Evaluate the cost integral in the forward run.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSForwardCostIntegral(TS ts)

Collective

## Input Parameter

- ts - time stepping context

## Note

This function cannot be called until `TSStep()` has been completed.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSAdjointCostIntegral()`

## Level

advanced

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSForwardCostIntegral_RK() in src/ts/impls/explicit/rk/rk.c
TSForwardCostIntegral_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages